define appserver::appsource::steward(
  $user = $title,
  $identity,
  $admin = false,
){

  realize Group[$appserver::params::group_app_stewards]

  $home = "/home/${user}"

  $parsed_key = split($identity, '\s+')

  user { $user:
    ensure => present,
    groups => [$appserver::params::group_app_stewards, ],
    home   => $home,
  } ->

  file { [$home, "${home}/.ssh"]:
    ensure => directory,
    owner  => $user,
    group  => $user,
    mode   => '0700',
  } ->

  ssh_authorized_key { $user:
    ensure => present,
    key    => $parsed_key[1],
    type   => $parsed_key[0],
    user   => $user,
  }

  if $admin {
    file { "/etc/sudoers.d/${user}":
      ensure  => file,
      content => "${user} ALL=(ALL) NOPASSWD: ALL\n",
      owner   => 'root',
      group   => 'root',
      mode    => '0600',
    }
  }

}
