define appserver::appsource::vcs::origin (
  $service_name = $title,
  $sshkey,
  $sshkey_type = 'ssh-rsa',
  $host_aliases = [],
  $deploykey,
) {

  realize File['/etc/ssh/ssh_known_hosts']

  sshkey { $service_name:
    ensure       => present,
    key          => $sshkey,
    type         => $sshkey_type,
    host_aliases => $host_aliases,
  }


  realize File["${appserver::params::automation_user_home}/.ssh/"]

  $path_deploykey = "${appserver::params::automation_user_home}/.ssh/automated-access-${service_name}.key"

  file { $path_deploykey:
    ensure  => present,
    owner   => $appserver::params::automation_user,
    group   => $appserver::params::automation_user,
    mode    => '0600',
    content  => $deploykey,
  }

  realize Concat["${appserver::params::automation_user_home}/.ssh/config"]

  concat::fragment{ "ssh-config: ${service_name}":
    target  => "${appserver::params::automation_user_home}/.ssh/config",
    content => "Host ${service_name}\n\tIdentityFile ${path_deploykey}",
  }

}
