define appserver::authentication::shibboleth (
  $idp_name = $title,
  $idp_entity_id,
  $idp_metadata_uri,
  $idp_metadata_backing,
  $sp_entity_id,
  $sp_remote_user_attributes,
  $sp_support_contact,
  $sp_cert,
  $sp_key,
  $sp_mapped_attributes,
  $sp_force_authn,
  $idp_sig_cert_name = '',
  $logout_redirect_uri = '',
) {

  class { '::shibbolethsp':
    shibbolethsp_pkg_version    => '2.5.2-1.1.el6',
    supervisor_pkg_version      => '3.0-0.1.el6',
    http_server                 => 'nginx',
    idp_name                    => $idp_name,
    idp_entity_id               => $idp_entity_id,
    idp_metadata_uri            => $idp_metadata_uri,
    idp_metadata_backing        => $idp_metadata_backing,
    idp_sig_cert                => template("appserver/${idp_sig_cert_name}.erb"),
    idp_sig_cert_name           => $idp_sig_cert_name,
    sp_entity_id                => $sp_entity_id,
    sp_remote_user_attributes   => $sp_remote_user_attributes,
    sp_support_contact          => $sp_support_contact,
    sp_cert                     => $sp_cert,
    sp_key                      => $sp_key,
    sp_mapped_attributes        => $sp_mapped_attributes,
    sp_force_authn              => $sp_force_authn,
    logout_redirect_uri         => $logout_redirect_uri,
  }

}
