define appserver::http::noncanonical_hostname(
  $noncanonical = $title,
  $canonical = '',
  $ssl = true,
){

  realize Nginx::Resource::Logformat['noncanonical']

  nginx::resource::vhost { "noncanonical:${noncanonical}":
    ensure               => present,
    server_name          => [$noncanonical,],
    access_log           => "/var/log/nginx/noncanonical-variants:${canonical}.access.log noncanonical",
    error_log            => "/var/log/nginx/noncanonical-variants:${canonical}.error.log crit",
    listen_port          => '80',
    ssl_port             => '443',
    ssl_cert             => "${appserver::params::dir_conf_http_ssl}/${canonical}.chained.crt",
    ssl_key              => "${appserver::params::dir_conf_http_ssl}/${canonical}.key",
    ssl                  => $ssl,
    ssl_protocols        => 'TLSv1 TLSv1.1 TLSv1.2',
    use_default_location => false,
    vhost_cfg_append     => {'return' => "301 https://${canonical}\$request_uri",},
  }

}
