class appserver::http::reverseproxy (
  $engine,
) {

  $sendfile = $virtual ? {
    'virtualbox' => 'off',
    default      => 'on',
  }

  case $engine {

    default: {

      yumrepo { "reverse-proxy-engine-${engine}":
        descr    => "RPM Source for Reverse Proxy Engine: ${engine}",
        baseurl  => $appserver::params::nginx_default_yumrepo,
        enabled  => 1,
        priority => 1,
        gpgcheck => 0,
      }

      class { '::nginx':
        manage_repo    => false,
        package_ensure => $appserver::params::nginx_default_version,
        confd_purge    => true,
        names_hash_bucket_size => 128,
        sendfile       => $sendfile,
        require        => Yumrepo["reverse-proxy-engine-${engine}"],
      }

      # TODO: Parameterize the boilerplate dir. ----- @@rhbecker
      file { '/etc/nginx/conf.d/boilerplate':
        ensure  => directory,
        recurse => true,
        purge   => true,
        source  => 'puppet:///modules/appserver/nginx-boilerplate/',
        owner   => 'root',
        group   => 'root',
        mode    => '0644',
      }

    }

  }
}
