class appserver(
  $hosted_domains = {},
  $app_stewards   = {},
  $deploykey      = '',
  $idp_profile    = '',
  $sp_entity_id   = '',
  $sp_cert        = '',
  $sp_key         = '',
  $reverseproxy_engine = $appserver::params::reverseproxy_default_engine,
) inherits appserver::params {

  include appserver::secure::firewall
  include ::ntp

  class { 'appserver::http::reverseproxy':
    engine => $reverseproxy_engine,
  }

  class { 'appserver::potentials':
    deploykey    => $deploykey,
    sp_entity_id => $sp_entity_id,
    sp_cert      => $sp_cert,
    sp_key       => $sp_key,
  }

  create_resources(appserver::http::hosteddomain, $hosted_domains)
  create_resources(appserver::appsource::steward, $app_stewards)

  Class['appserver::http::reverseproxy'] -> Class['appserver::potentials']
  Class['appserver::potentials'] -> Appserver::Http::Hosteddomain<||>
  Class['appserver::potentials'] -> Appserver::Appsource::Steward<||>

  # NOTE: Firewall configuration is messing up yum installs on EC2 instances, but not local instances. Not sure why. Moving config to end fixes for now. ----- @@rhbecker
  Appserver::Http::Hosteddomain<||> -> Class['appserver::secure::firewall']
  Appserver::Appsource::Steward<||> -> Class['appserver::secure::firewall']

}
